io.vertx.ext.json.schema.common

## Class NoopValidatorContext

- java.lang.Object
- - io.vertx.ext.json.schema.common.NoopValidatorContext

- All Implemented Interfaces:
    ValidatorContext

      public class NoopValidatorContext
      extends Object
      implements ValidatorContext

  This noop `ValidatorContext` can be used when no contextual keywords are used

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopValidatorContext()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Integer>` | `evaluatedItems()`
    `Set<String>` | `evaluatedProperties()`
    `static NoopValidatorContext` | `getInstance()`
    `ValidatorContext` | `lowerLevelContext()`
    `void` | `markEvaluatedItem(int index)`
    `void` | `markEvaluatedProperty(String propertyName)`
    `ValidatorContext` | `startRecording()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopValidatorContext

          public NoopValidatorContext()

  - ### Method Detail

    - #### getInstance

          public static NoopValidatorContext getInstance()

    - #### startRecording

          public ValidatorContext startRecording()

      Specified by:
        `startRecording` in interface `ValidatorContext`

    - #### markEvaluatedItem

          public void markEvaluatedItem(int index)

      Specified by:
        `markEvaluatedItem` in interface `ValidatorContext`

    - #### markEvaluatedProperty

          public void markEvaluatedProperty(String propertyName)

      Specified by:
        `markEvaluatedProperty` in interface `ValidatorContext`

    - #### evaluatedItems

          public Set<Integer> evaluatedItems()

      Specified by:
        `evaluatedItems` in interface `ValidatorContext`

    - #### evaluatedProperties

          public Set<String> evaluatedProperties()

      Specified by:
        `evaluatedProperties` in interface `ValidatorContext`

    - #### lowerLevelContext

          public ValidatorContext lowerLevelContext()

      Specified by:
        `lowerLevelContext` in interface `ValidatorContext`

Copyright © 2020 Eclipse. All rights reserved.